# $Revision: 1.32 $, $Date: 2004/05/06 18:20:34 $
#
# Conditional build:
%bcond_with	tests	# do not perform "make test"
			# need network connection
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Mail
%define	pnam	Sendmail
Summary:	Mail::Sendmail perl module
Summary(pl):	Modu perla Mail::Sendmail
Name:		perl-Mail-Sendmail
Version:	0.79
Release:	2
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	038f261afd091d8fad347d6c66d2833d
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mail::Sendmail is a simple platform independent mailer.

%description -l pl
Mail::Sendmail to prosty, niezaleny od platformy modu do wysyania
poczty.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{?with_tests:%{__make} test}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README Todo
%{perl_vendorlib}/Mail/Sendmail.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Mail-Sendmail.spec,v $
Revision 1.32  2004/05/06 18:20:34  ankry
- fixed perl-devel BR

Revision 1.31  2004/04/25 06:25:08  ankry
- cosmetics: unification

Revision 1.30  2004/04/23 06:13:21  ankry
- tests bcond (disabled by default)
- unknown license

Revision 1.29  2003/09/09 10:24:41  ankry
- spaces -> tab

Revision 1.28  2003/08/18 08:08:58  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.27  2003/05/28 13:00:48  malekith
- massive attack: source-md5

Revision 1.26  2003/05/25 06:24:46  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.25  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.24  2003/03/01 20:20:20  radek
- should be ready for perl-5.8.0; release++

Revision 1.23  2003/02/25 00:40:16  radek
- use the __perl macro

Revision 1.22  2003/02/18 23:45:25  ankry
- autoupdated to 0.79

Revision 1.21  2003/02/18 15:36:10  ankry
- massive attack: change CPAN URLs

Revision 1.20  2002/11/26 00:14:17  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.19  2002/07/10 08:48:00  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.18  2002/05/11 14:28:09  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.17  2002/02/25 10:32:46  depesz
cleanup; revision++

Revision 1.16  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/02/13 14:18:15  depesz
automatic: Source location unfied, Relase Up

Revision 1.14  2002/02/10 15:28:23  depesz
adapterized

Revision 1.13  2002/01/18 02:14:21  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/11/28 15:20:19  mis
- buildarch noarch; release++

Revision 1.11  2001/04/17 12:12:22  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:08  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/01/23 00:53:06  kloczek
- updated to 0.78.

Revision 1.8  2001/01/11 02:12:36  kloczek
- release 4: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:54:54  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:40  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/21 20:11:42  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:20  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:55  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 21:49:25  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:44  pius
- initial release
